echo off
cls
echo This program builds a QuickLibrary and LINK library containing the mouse
echo routines featured in QBNews.
echo.
echo Be sure that the LIB.EXE and LINK.EXE programs are in your DOS path and
echo the directory containing your QuickLibrary support module (BQLB4x.LIB or
echo QBXQLB.LIB) is defined in your LIB environment variable.
echo.
if "%1"=="" GOTO NoParams
if "%1"=="4" GOTO Qb4x
if "%1"=="5" GOTO Qb45
if "%1"=="7" GOTO QBX
echo Invalid option %1 entered.
echo.
goto NoParams
rem
:Qb4x
echo Building QuickLibrary "MOUSE.QLB" for QuickBASIC 4.00a and 4.00b
echo.
link /q mouse, mouse.qlb, nul, bqlb41;
if errorlevel 1 goto QlbError
goto BuildLinkLib
rem
:Qb45
echo Building QuickLibrary "MOUSE.QLB" for QuickBASIC 4.50
echo.
link /q mouse, mouse.qlb, nul, bqlb45;
if errorlevel 1 goto QlbError
goto BuildLinkLib
rem
:QBX
echo Building QuickLibrary "MOUSE.QLB" for QBX
echo.
link /q mouse, mouse.qlb, nul, qbxqlb;
if errorlevel 1 goto QlbError
rem
:BuildLinkLib
echo.
echo Building link library MOUSE.LIB
echo.
if exist mouse.lib del mouse.lib
lib mouse +mouse;
echo.
goto Exit
:NoParams
echo Use the following syntax:
echo.
echo    BLDLIB CompilerType
echo.
echo    Where "CompilerType" is one of the following:
echo.
echo         4 = QuickBASIC 4.00a and 4.00b
echo         5 = QuickBASIC 4.50
echo         7 = QBX, distributed with PDS 7.x
echo.
:Exit
